## nvidia-graphics-drivers 550.135

=== debian/changelog ===
nvidia-graphics-drivers (550.135-1) unstable; urgency=medium

  * Update to latest production branch 550.x.
  * Adapt to Linux Kernel >= 6.12.

 -- Mingcong Bai <baimingcong@uniontech.com>  Tue, 26 Nov 2024 08:51:17 +0000

nvidia-graphics-drivers (545.23.06-3) experimental; urgency=medium

  * Simplify using nv_pfn_valid() in virt_addr_valid() on ppc64el.
  * Backport nv_get_kern_phys_address() changes from 555.42.02 to fix kernel
    module build with gcc-14 on arm64.  (Closes: #1084844)
  * libegl-nvidia0: Add manual dependency on libnvidia-egl-wayland1 as
    libnvidia-egl-wayland.so.1 seems to get dlopen()ed now. (Closes: #1072142)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 25 Oct 2024 09:49:01 +0200
