=== debian/control ===
--- 
+++ 
@@ -8,7 +8,10 @@
  Andreas Beckmann <anbe@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
-Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 545
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 560
+Homepage: https://www.nvidia.com
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
@@ -25,9 +28,6 @@
  linux-headers-arm64 [arm64] <!nocheck>,
  linux-headers-powerpc64le [ppc64el] <!nocheck>,
  libglvnd-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Homepage: https://www.nvidia.com
 Testsuite: autopkgtest-pkg-dkms
 XS-Autobuild: yes
 
@@ -49,7 +49,7 @@
 Recommends:
  ${nvidia-settings},
  lib${nvidia}-cfg1 (= ${binary:Version}),
- nvidia-persistenced,
+ nvidia-persistenced (>= ${nvidia:Version:major}),
 Suggests:
  ${nvidia:kmod:source},
 Provides:
@@ -110,10 +110,6 @@
 Depends:
  glx-alternative-nvidia (>= 1.2),
  ${misc:Depends}
-Provides:
- nvidia-alternative-any,
- ${nvidia}-alternative--kmod-alias,
- ${nvidia}-alternative-${nvidia:Version},
 Conflicts:
  libglvnd0-nvidia,
  libopengl0-glvnd-nvidia,
@@ -130,6 +126,10 @@
  nvidia-tesla-460-alternative,
  nvidia-tesla-510-alternative,
  nvidia-tesla-alternative,
+Provides:
+ nvidia-alternative-any,
+ ${nvidia}-alternative--kmod-alias,
+ ${nvidia}-alternative-${nvidia:Version},
 Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
  In setups with several NVIDIA driver versions installed (e.g. current and
  legacy) this metapackage registers an alternative to allow easy switching
@@ -147,10 +147,10 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends}
+Conflicts:
+ firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
 Provides:
  firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:archlist:gsp}],
- firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
-Conflicts:
  firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
 Description: NVIDIA GSP firmware${nvidia:VariantDesc}
  The GPU System Processor (GSP) was first introduced in the Turing
@@ -318,9 +318,9 @@
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:
  ${nvidia}-driver,
-Provides:
+Conflicts:
  nvidia-driver-bin-${nvidia:Version},
-Conflicts:
+Provides:
  nvidia-driver-bin-${nvidia:Version},
 Description: NVIDIA driver support binaries${nvidia:VariantDesc}
  The NVIDIA binary driver provides optimized hardware acceleration of
