## nvidia-graphics-drivers 550.144.03

=== debian/changelog ===
nvidia-graphics-drivers (550.144.03-1) unstable; urgency=medium

  * New upstream production and Tesla branch release 550.144.03 (2025-01-16).
    * Fixed CVE-2024-0150, CVE-2024-0147, CVE-2024-53869, CVE-2024-0131,
      CVE-2024-0149.  (Closes: #1093908)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5614
    * Improved compatibility with recent Linux kernels.
  * New upstream production branch release 550.142 (2024-12-17).

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.
  * Upload to unstable.  (Closes: #1102741)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 May 2025 08:26:47 +0200

nvidia-graphics-drivers (550.135-1) experimental; urgency=medium

  * New upstream production branch release 550.135 (2024-11-19).
    * Improved compatibility with recent Linux kernels.
  * New upstream Tesla branch release 550.127.08 (2024-11-19).

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 May 2025 21:23:54 +0200

nvidia-graphics-drivers (550.127.05-1) experimental; urgency=medium

  * New upstream production and Tesla branch release 550.127.05 (2024-10-22).
    * Fixed CVE-2024-0126.  (Closes: #1085968)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5586
    - Fixed a bug which could cause applications using GBM to crash when
      running with nvidia-drm.modeset=0.
  * New upstream production branch release 550.120 (2024-09-19).
    - In Linux kernel 6.11, drm_fbdev_generic was renamed to drm_fbdev_ttm.
      Use drm_fbdev_ttm when present to keep supporting direct framebuffer
      access needed for Wayland compositors to present content on newer
      kernels.
    - In linux-next commit 446d0f4849b1, output_poll_changed is removed
      from struct drm_mode_config_funcs. Do not implement the function
      pointer member when not present to ensure the driver can compile with
      newer kernels. The driver now supports enumerating modes on hotplug
      events through the DRM fbdev API.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 May 2025 19:02:18 +0200

nvidia-graphics-drivers (550.107.02-1) experimental; urgency=medium

  * New upstream production branch release 550.107.02 (2024-07-29).
    - Fixed a race condition involving modeset ownership which could lead
      to flip event timeout errors when enabling the 'fbdev' kernel module
      parameter in nvidia-drm.
    - Fixed a regression that caused nvidia-powerd to exit when
      nvidia-dbus.conf was not present in the /etc/dbus-1/system.d/
      directory.
    - Fixed a bug that could cause memory corruption while handling
      ACPI events on some notebooks.
    - Fixed a bug that could cause kernel crashes upon attempting KMS
      operations through DRM when nvidia_drm was loaded with modeset=0.
  * New upstream production branch release 550.100 (2024-07-09).
  * New upstream Tesla branch release 550.90.12 (2024-09-10).

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 17 May 2025 01:57:12 +0200

nvidia-graphics-drivers (550.90.07-1) experimental; urgency=medium

  * New upstream production and Tesla branch release 550.90.07 (2024-06-04).
    * Fixed CVE-2024-0090, CVE-2024-0091, CVE-2024-0092.  (Closes: #1072792)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5551
    - Temporarily disabled the GLX_EXT_buffer_age extension on Xwayland to
      work around a bug that could cause corruption.
    - Fixed a bug that could cause corruption when the GLX_EXT_buffer_age
      extension is used on X.org with PRIME render offloading.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 May 2025 20:04:34 +0200

nvidia-graphics-drivers (550.78-1) experimental; urgency=medium

  * New upstream production branch release 550.78 (2024-04-25).
    - Fixed a regression that led to Xid errors when loading the NVIDIA
      driver on some notebook systems with RTX 4xxx series GPUs.
  * New upstream production branch release 550.76 (2024-04-16).
    - Fixed a bug that could prevent the driver from initializing on some
      systems running RHEL 9.3.
  * New upstream production branch release 550.67 (2024-03-19).
    - Fixed a bug that could cause the GPU driver to hang when running some
      Vkd3d games, such as F1 2021.
    - Fixed a bug that caused eglExportDMABUFImageQueryMESA() to return
      invalid DRM formats for the images that use the sRGB color space.
    - Fixed a bug that caused wgpu applications to hang on Wayland.
    - Fixed a bug that caused "Flip event timeout" messages to be printed to the
      system log when the system is suspended without using
      /usr/bin/nvidia-sleep.sh when nvidia-drm is loaded with the `fbdev=1`
      kernel module parameter.
    * Drop ppc64le driver.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Stop building driver packages for ppc64el.
  * Stop building nvidia-cuda-mps and nvidia-detect for ppc64el.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 May 2025 10:49:20 +0200

nvidia-graphics-drivers (550.54.15-1) experimental; urgency=medium

  * New upstream Tesla branch release 550.54.15 (2024-03-18).
    * This is the last driver release supporting the ppc64el architecture.
  * New upstream production and Tesla branch release 550.54.14 (2024-02-23).
    * Fixed CVE-2024-0074, CVE-2024-0075, CVE-2024-0078.  (Closes: #1064983)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5520
    - Fixed a bug that caused HDMI FRL displays to flicker or blank when
      enabling VRR with 8 bits per color channel.
    - Fixed a regression introduced with the 550.40.07 beta driver which
      caused corrupted window decorations in some applications when running

