=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  Andreas Beckmann <anbe@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
-Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 560
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 550
 Homepage: https://www.nvidia.com
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -26,14 +26,13 @@
  zstd,
  linux-headers-amd64 [amd64] <!nocheck>,
  linux-headers-arm64 [arm64] <!nocheck>,
- linux-headers-powerpc64le [ppc64el] <!nocheck>,
  libglvnd-dev,
 Testsuite: autopkgtest-pkg-dkms
 XS-Autobuild: yes
 
 Package: nvidia-driver
 Section: non-free/x11
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Pre-Depends:
  nvidia-installer-cleanup,
  ${nvidia:legacy-check},
@@ -71,7 +70,7 @@
 
 Package: nvidia-driver-full
 Section: non-free/x11
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Depends:
  ${nvidia}-driver (= ${binary:Version}),
  libgles-${nvidia-}1 (= ${binary:Version}),
@@ -80,19 +79,20 @@
  lib${nvidia}-encode1 (= ${binary:Version}),
  ${nvidia}-vulkan-icd (= ${binary:Version}),
  lib${nvidia}-allocator1 (= ${binary:Version}),
- lib${nvidia}-rtcore (= ${binary:Version}) [amd64 ${arch:arm64}],
+ lib${nvidia}-rtcore (= ${binary:Version}) [!i386],
  ${nvidia}-smi (= ${binary:Version}),
  lib${nvidia-if-variant}cudadebugger1 (= ${binary:Version}),
- lib${nvidia}-fbc1 (= ${binary:Version}) [amd64 ${arch:arm64}],
- lib${nvidia-if-variant}nvoptix1 (= ${binary:Version}) [amd64 ${arch:arm64}],
+ lib${nvidia}-fbc1 (= ${binary:Version}),
+ lib${nvidia-if-variant}nvoptix1 (= ${binary:Version}) [!i386],
  lib${nvidia}-opticalflow1 (= ${binary:Version}),
  lib${nvidia}-ngx1 (= ${binary:Version}) [amd64],
  lib${nvidia}-api1 (= ${binary:Version}),
  ${nvidia}-opencl-icd (= ${binary:Version}),
- nvidia-powerd (= ${binary:Version}) [amd64],
- nvidia-cuda-mps (= ${binary:Version}),
- nvidia-suspend-common (= ${binary:Version}),
- nvidia-settings,
+ nvidia-powerd [amd64 arm64],
+ nvidia-cuda-mps [!ppc64el],
+ nvidia-suspend-common,
+ nvidia-detect [!ppc64el],
+ ${nvidia-settings},
  nvidia-persistenced,
  ${misc:Depends}
 Description: NVIDIA metapackage (all components)${nvidia:VariantDesc}
@@ -101,7 +101,7 @@
  OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.
 
 Package: nvidia-alternative
-Architecture: i386 amd64 arm64 ppc64el
+Architecture: i386 amd64 arm64
 Multi-Arch: foreign
 Pre-Depends:
  dpkg (>= 1.17.21),
@@ -120,12 +120,13 @@
  libgles2-glvnd-nvidia,
  nvidia-legacy-304xx-alternative,
  nvidia-legacy-340xx-alternative,
- nvidia-legacy-390xx-alternative,
- nvidia-tesla-418-alternative,
+ nvidia-legacy-390xx-alternative (<< 390.157-2~),
+ nvidia-tesla-418-alternative (<< 418.226.00-7~),
  nvidia-tesla-450-alternative,
  nvidia-tesla-460-alternative,
+ nvidia-tesla-470-alternative (<< 470.256.02-5),
  nvidia-tesla-510-alternative,
- nvidia-tesla-alternative,
+ nvidia-tesla-alternative (<< 525.147.05-8~),
 Provides:
  nvidia-alternative-any,
  ${nvidia}-alternative--kmod-alias,
@@ -148,10 +149,10 @@
 Depends:
  ${misc:Depends}
 Conflicts:
- firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
-Provides:
- firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:archlist:gsp}],
- firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
+ firmware-nvidia-gsp-${nvidia:Version},
+Provides:
+ firmware-${nvidia}-gsp (= ${nvidia:Version}),
+ firmware-nvidia-gsp-${nvidia:Version},
 Description: NVIDIA GSP firmware${nvidia:VariantDesc}
  The GPU System Processor (GSP) was first introduced in the Turing
  architecture and supports accelerating tasks traditionally performed
@@ -161,7 +162,7 @@
 
 Package: nvidia-kernel-support
 Section: non-free/kernel
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Multi-Arch: foreign
 Depends:
  ${nvidia}-alternative (= ${binary:Version}),
@@ -181,12 +182,12 @@
 
 Package: nvidia-kernel-dkms
 Section: non-free/kernel
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Multi-Arch: foreign
 Pre-Depends:
  nvidia-installer-cleanup,
 Depends:
- firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:archlist:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
+ firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
  ${nvidia-kernel}-support--v1,
  ${misc:Depends}
 Recommends:
@@ -218,13 +219,13 @@
 
 Package: nvidia-kernel-source
 Section: non-free/kernel
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Depends:
  debhelper-compat (= ${nvidia:debhelper-compat}),
  module-assistant,
  ${misc:Depends}
 Recommends:
- firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:archlist:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
+ firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
  ${nvidia-kernel}-support--v1,
 Suggests:
  ${nvidia}-driver (>= ${nvidia:Version}),
@@ -250,7 +251,7 @@
 
 Package: xserver-xorg-video-nvidia
 Section: non-free/x11
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Pre-Depends:
  nvidia-installer-cleanup,
  ${nvidia:legacy-check},
@@ -295,7 +296,7 @@
  integration with systemd.
 
 Package: nvidia-legacy-check
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Multi-Arch: foreign
 Pre-Depends:
  debconf | debconf-2.0,
@@ -312,7 +313,7 @@
 
 Package: nvidia-driver-bin
 Section: non-free/x11
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Depends:
  ${nvidia}-alternative (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
@@ -330,7 +331,7 @@
  This package contains supporting binaries for the driver.
 
 Package: libnvidia-cfg1
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
@@ -349,6 +350,13 @@
  which is used by other driver components.
 
 Package: nvidia-driver-libs
-Architecture: i386 amd64 arm64 ppc64el
+Architecture: i386 amd64 arm64
 Multi-Arch: same
 Depends:
+ libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
+ ${nvidia}-egl-icd (= ${binary:Version}),
+ ${misc:Depends}
+Recommends:
+ ${nvidia}-driver-libs:i386 (= ${binary:Version}) [amd64],
+ libopengl0 | libopengl0-glvnd-nvidia,
+ libglx-${nvidia-}0 (= ${binary:Version}),
