## nvidia-graphics-drivers 550.163.01

=== debian/changelog ===
nvidia-graphics-drivers (550.163.01-2~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux 23 AHS.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Aug 2025 13:46:28 -0700

nvidia-graphics-drivers (550.163.01-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Backport ccflags-y, nv_timer_delete_sync, __iowrite64_lo_hi, page_pgmap
    and make_device_exclusive changes from 570.153.02 and nv_vma_start_write
    changes from 570.169 to fix kernel module build for Linux 6.15.
    (Closes: #1107606)
  * Backport NV_DRM_FBDEV_AVAILABLE changes from 570.169.

  [ Luca Boccassi ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Jul 2025 23:28:46 +0200

nvidia-graphics-drivers (550.163.01-1) unstable; urgency=medium

  * New upstream production and Tesla branch release 550.163.01 (2025-04-17).
    * Fixed CVE-2025-23244.  (Closes: #1104068)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5630
    * Improved compatibility with recent Linux kernels.
  * New upstream release 535 series.
    - Fixed an issue that could cause render-offloaded applications using
      KDE Frameworks 6 to crash.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Jun 2025 22:29:12 +0200

nvidia-graphics-drivers (550.144.03-2) experimental; urgency=medium

  * Backport more drm ttm and fbdef conditionals from 550.163.01.
    (Closes: #1106597)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jun 2025 01:02:12 +0200
