=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Source: nvidia-graphics-drivers
 Section: non-free/libs
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
- Luca Boccassi <bluca@debian.org>,
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 550
 Homepage: https://www.nvidia.com
@@ -29,6 +28,7 @@
  libglvnd-dev,
 Testsuite: autopkgtest-pkg-dkms
 XS-Autobuild: yes
+Xsbc-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 
 Package: nvidia-driver
 Section: non-free/x11
@@ -89,9 +89,9 @@
  lib${nvidia}-api1 (= ${binary:Version}),
  ${nvidia}-opencl-icd (= ${binary:Version}),
  nvidia-powerd [amd64 arm64],
- nvidia-cuda-mps [!ppc64el],
+ nvidia-cuda-mps,
  nvidia-suspend-common,
- nvidia-detect [!ppc64el],
+ nvidia-detect,
  ${nvidia-settings},
  nvidia-persistenced,
  ${misc:Depends}
