=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 NVIDIA_MAJOR		 = $(firstword $(subst ., ,$(NVIDIA_RELEASE)))
 include debian/rules.defs
 NVIDIA_TESLA		?=
-NVIDIA_LEGACY		?=
-WATCH_VERSION		?= $(or $(subst yes,$(TESLA_MAJOR),$(NVIDIA_TESLA)),$(NVIDIA_LEGACY))
+WATCH_VERSION		?= $(NVIDIA_TESLA)
 WATCH_PATTERN		?=
 GIT_BRANCH		?= $(if $(variant),$(variant)/main,$(version_major))
 XORG_ABI_LIST		?=
@@ -25,23 +24,12 @@
 NO_DRIVER_ARCH_LIST	?=
 NO_TARBALL_ARCH_LIST	?=
 NO_AUTOPKGTEST_ARCH_LIST?=
-NO_GSP_ARCH_LIST	?=
 
 version			 = $(NVIDIA_RELEASE)
 version_major		 = $(NVIDIA_MAJOR)
-ifeq (yes,$(NVIDIA_TESLA))
-variant			 = $(if $(NVIDIA_TESLA),tesla)
-variant_description	 = $(if $(NVIDIA_TESLA), (Tesla version))
-variant_description_short= $(if $(NVIDIA_TESLA), (Tesla version))
-else ifneq (,$(NVIDIA_TESLA))
 variant			 = $(if $(NVIDIA_TESLA),tesla-$(NVIDIA_TESLA))
 variant_description	 = $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA) version))
 variant_description_short= $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA)))
-else
-variant			 = $(if $(NVIDIA_LEGACY),legacy-$(NVIDIA_LEGACY)xx)
-variant_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
-variant_description_short= $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy))
-endif
 -variant		 = $(if $(variant),-$(variant))
 trailing_minus		 = $(if $(filter %0 %1 %2 %3 %4 %5 %6 %7 %8 %9,$(variant)),-)
 nvidia			 = nvidia$(-variant)
@@ -58,7 +46,6 @@
 DRIVER_ARCH_LIST	 = $(filter-out $(NO_DRIVER_ARCH_LIST),$(ARCH_LIST))
 TARBALL_ARCH_LIST	 = $(filter-out $(NO_TARBALL_ARCH_LIST),$(DRIVER_ARCH_LIST))
 AUTOPKGTEST_ARCH_LIST	 = $(filter-out $(NO_AUTOPKGTEST_ARCH_LIST),$(DRIVER_ARCH_LIST))
-GSP_ARCH_LIST		 = $(filter-out $(NO_GSP_ARCH_LIST),$(DRIVER_ARCH_LIST))
 
 # system libdir
 libdir			?= usr/lib/$(DEB_HOST_MULTIARCH)
@@ -165,6 +152,7 @@
 	mkdir $@
 	cp -al $</*.icd $@
 	cp -al $</*.json* $@
+	cp -al $</systemd/ $@
 endif
 
 # Always unpack amd64, we need files from them.
@@ -196,3 +184,25 @@
 	@set -e -x ; \
 	if ! cmp -s debian/detect/$(nvidia).ids $@ ; then \
 		diff -u debian/detect/$(nvidia).ids $@ || true ; \
+		: "*** Supported PCI IDs of the $(nvidia) variant have changed. See diff above. Aborting. ***"; \
+		exit 1 ; \
+	fi
+endif
+
+nv-readme-open.ids: unpack-stamp
+	sed -r -n '/^[0-9]+A?\. SUPPORTED GPUS/,/^Chapter/ s/^(.{41}|.{49}) ([0-9a-fA-F]{4})($$| .*)/10de\2/p' \
+		NVIDIA-Linux/README.txt \
+		| tr a-f A-F | sort -u > $@
+	@set -e -x ; \
+	if ! cmp -s debian/$@ $@ ; then \
+		diff -u debian/$@ $@ || true ; \
+		: "*** Supported PCI IDs have changed. See diff above. Aborting. ***"; \
+		exit 1 ; \
+	fi
+
+nvidia.ids: nv-readme.ids
+	cp $< $@
+
+nvidia-open.ids: nv-readme-open.ids
+	cp $< $@
+
